Function
hash2Upper
Computes an upper unique hash value of a shape applied to a sequence, even if the sequence is shorter than the shape span.
hash2Upper(shape, it, charsLeft)
Parameters

shape | Shape to be used for hashing. Types: Shape
it | Sequence iterator pointing to the first character of the shape.
charsLeft | The distance of it to the string end.

Remarks
This function in conjunction with hash2 is useful to search a q-gram index for p-grams with p<q.
Return Values
Upper hash value of the shape. The hash value corresponds to the maximal hash2 value of a shape beginning with the min(charsLeft,length(shape)) characters + 1
Member of
Shape
See Also
hash2
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58